Bug 469497 - adobe flash + webcam + f10
adobe flash + webcam + f10
Status: CLOSED WONTFIX
Product: Fedora OLPC
Classification: Retired
Component: gnash (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bernie Innocenti
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-01 11:58 EDT by CovertCodeOp1
Modified: 2008-12-21 05:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-21 05:43:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description CovertCodeOp1 2008-11-01 11:58:13 EDT
Description of problem:
After installing flash and navigating to the facebook page for profile picture change there is a pop-up for webcam security settings. The "Adobe Flash Play Settings" does not respond to mouse clicks or keyboard.



Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Log in to facebook
2. Go to Profile and click on change picture (on profile picture)
3. Select webcam option
4. Click "Download flash" button
5. Choose rpm from flash site
6. Keep clicking "next" to get it to install
7. Reload browser
8. Navigate back to webcam option on profile picture page.
9. Receive small settings window
  
Actual results:
Not able to interact with anything on the Settings pop-up

Expected results:
Being able to interact with controls on the Settings pop-up

Additional info:
Comment 1 CovertCodeOp1 2008-11-01 12:18:26 EDT
Additional problems.

Once the proper settings.sol is in place allowing access to the webcam, more bugs appear. The preview window is half the width of the window and a 1/3 of its height. The colors are all disoriented except for my hair and part of the background. When clicking the snapshot button, it gives the usual countdown, takes the picture, but fails and stops while trying to upload the picture to facebook's server.
Comment 2 Bryan Kearney 2008-11-10 15:32:45 EST
I did not have the issues with the settings popup, but I did file a bug with adobe about the latter items:

http://bugs.adobe.com/jira/browse/FP-943 

Question, the is a segfault which causes the delay. It is:

kernel: npviewer.bin[2954]: segfault at b77555c3 ip 01244eb8 sp 051bc1c8 error 6 in libflashplayer.so[e02000+951000] 

I assume this is a fault in the flash code?
Comment 3 Patrice Dumas 2008-11-10 15:48:06 EST
This looks like an adobe flash bug, not a gnash bug, please use another 
component.
Comment 4 Bernie Innocenti 2008-12-21 05:43:58 EST
I think we do not support Adobe Flash in Fedora or OLPC, and anyway it's not a gnash bug.

Please, reopen if you find a suitable component to reassign this bug to.

Note You need to log in before you can comment on or make changes to this bug.